# Generated by Django 2.2.7 on 2019-11-21 09:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('team', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('first_name', models.CharField(max_length=60)),
                ('last_name', models.CharField(max_length=60)),
                ('image_uri', models.CharField(max_length=999)),
                ('jersey_number', models.IntegerField()),
                ('country_id', models.IntegerField()),
            ],
            options={
                'db_table': 'player',
            },
        ),
        migrations.CreateModel(
            name='TeamPlayer',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('contract_start_date', models.DateField()),
                ('contract_end_date', models.DateField()),
                ('is_active', models.BooleanField()),
                ('player_id', models.ForeignKey(db_column='player_id', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='player_id', to='player.Player')),
                ('team_id', models.ForeignKey(db_column='team_id', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='team_id', to='team.Team')),
            ],
            options={
                'db_table': 'team_player',
            },
        ),
        migrations.AddIndex(
            model_name='player',
            index=models.Index(fields=['first_name'], name='player_first_n_d46659_idx'),
        ),
        migrations.AddIndex(
            model_name='player',
            index=models.Index(fields=['last_name'], name='player_last_na_771626_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='teamplayer',
            unique_together={('team_id', 'player_id')},
        ),
    ]
